# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95"
name = "hjkl-engine"
version = "0.25.0"
authors = ["mxaddict <mxaddict@kryptic.sh>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Vim FSM, motion grammar, and ex commands. Pre-1.0 churn."
homepage = "https://hjkl.kryptic.sh"
readme = "README.md"
keywords = [
    "vim",
    "modal",
    "editor",
    "fsm",
]
categories = ["text-editors"]
license = "MIT"
repository = "https://github.com/kryptic-sh/hjkl-engine"
resolver = "2"

[package.metadata.docs.rs]
all-features = true
targets = ["x86_64-unknown-linux-gnu"]
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
crossterm = ["dep:crossterm"]
default = ["serde"]
ratatui = [
    "dep:ratatui",
    "hjkl-buffer/ratatui",
]
serde = ["dep:serde"]

[lib]
name = "hjkl_engine"
path = "src/lib.rs"

[dependencies.bitflags]
version = "2"

[dependencies.crossterm]
version = "0.29.0"
features = ["event-stream"]
optional = true

[dependencies.hjkl-buffer]
version = "0.25"

[dependencies.ratatui]
version = "0.30"
optional = true

[dependencies.regex]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true

[dependencies.thiserror]
version = "2"

[dev-dependencies.proptest]
version = "1"

[dev-dependencies.serde_json]
version = "1"
